summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustavo Sverzut Barbieri <barbieri@gmail.com>2010-09-28 23:17:03 +0000
committerGustavo Sverzut Barbieri <barbieri@gmail.com>2010-09-28 23:17:03 +0000
commite1c1647d651c96c575822eb1ca678c2d0fdb0596 (patch)
tree7dfa1d0b6560832100ea9b371e8b9abd2ce6b35d
parent44464c0332b74c33e5ed48707ba7c35a7232ede8 (diff)
Add dbus-python requisite to python-e_dbus.
DBus-python is a non-standard module of dbus, and can be located at a different directory than dbus. This was an implicit requisite. It's explicit now with this patch. SVN revision: 52869
-rw-r--r--README1
-rw-r--r--configure.ac2
2 files changed, 2 insertions, 1 deletions
diff --git a/README b/README
index 6266fa0..1ff547d 100644
--- a/README
+++ b/README
@@ -4,6 +4,7 @@ REQUIREMENTS
4============ 4============
5 5
6 * E_Dbus >= 1.0.0 6 * E_Dbus >= 1.0.0
7 * D-Bus Python >= 0.80
7 * Ecore >= 1.0.0 (indirect, E_DBus dependency) 8 * Ecore >= 1.0.0 (indirect, E_DBus dependency)
8 * D-Bus >= 0.62 (indirect, E_DBus dependency) 9 * D-Bus >= 0.62 (indirect, E_DBus dependency)
9 * Python >= 2.4 10 * Python >= 2.4
diff --git a/configure.ac b/configure.ac
index 4b11803..c93c994 100644
--- a/configure.ac
+++ b/configure.ac
@@ -62,7 +62,7 @@ else
62fi 62fi
63AC_SUBST(pkgconfig_requires_private) 63AC_SUBST(pkgconfig_requires_private)
64 64
65pkgconfig_edbus_requires_libs="edbus >= 1.0.0" 65pkgconfig_edbus_requires_libs="dbus-python >= 0.83, edbus >= 1.0.0"
66AC_SUBST(pkgconfig_edbus_requires_libs) 66AC_SUBST(pkgconfig_edbus_requires_libs)
67PKG_CHECK_MODULES([EDBUS], [$pkgconfig_edbus_requires_libs]) 67PKG_CHECK_MODULES([EDBUS], [$pkgconfig_edbus_requires_libs])
68 68